SourceID Docs

Filter Customers

This endpoint allows you to filter customers based on various query parameters.

Endpoint: GET {baseurl}/v1/api/customer/id/filter

Query Parameters

ParameterTypeRequiredDescription
emailstringNoThe primary email address of the customer.
genderstringNoThe gender of the customer. Available values: male, female.
typestringNoThe type of customer. Available values: individual, business.
dateOfBirthstringNoThe date of birth of the customer in YYYY-MM-DD format.
firstNamestringNoThe first name of the customer.
lastNamestringNoThe last name of the customer.
middleNamestringNoThe middle name of the customer.
phoneNumberstringNoThe phone number of the customer. Must include country code.
businessNamestringNoThe name of the business associated with the customer.

Sample Request

curl -X GET "{baseurl}/v1/api/customer/id/filter?email=tulip@gmail.com&gender=male&type=individual&dateOfBirth=2025-01-01&firstName=John&lastName=Doe&middleName=Devon&phoneNumber=+2349018450842&businessName=Happy%20Place%20LTD" \
-H "x-api-key: {API-KEY}"

Sample Response

[
    {
        "id": "67890",
        "primaryEmail": "tulip@gmail.com",
        "businessName": "Happy Place LTD",
        "secondaryEmails": [],
        "primaryPhoneNumber": "+2349018450842",
        "type": "individual",
        "secondaryPhoneNumbers": [],
        "firstName": "John",
        "lastName": "Doe",
        "middleName": "Devon",
        "country": "Nigeria",
        "state": "Lagos",
        "dateOfBirth": "2025-01-01",
        "gender": "male"
    }
]